# Install

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

This repository is based purely on notebooks and creates the
installation package following below described development procedure.

``` sh
pip install janusexp
```

## How to use this repo without code development

- example notebooks can be stored in `notebooks`, they then will be
  added to the automatically generated documentation.
  - I will soon add an example `example` notebook, so that you can see
    the best layout for it. :)

## How to develop

### One time installation procedure for the required tools

1.  change to environment you are developing in (conda/venv/whatever)
2.  `pip install nbdev`
3.  cd janus-nbexposure
4.  `nbdev_install_hooks` \# to enable automatic cleaning of notebooks
    at commit for this repo
5.  `nbdev_install_quarto` to install the quarto documentation tools (or
    install it yourself, see
    https://quarto.org/docs/get-started/index.html )
    1.  This requires `sudo`, you can either trust it, I checked it, or
        install the quarto tools yourself from above link, e.g. via a
        tarball that doesn’t require sudo).
6.  `pip install -e .` \# to install the source codes into your current
    Python env in ‘editable mode’

### Regular develop procedure

1.  Make changes in notebooks in the `notebooks folder only`, following
    the rules of [nbdev](https://nbdev.fast.ai)
    - Things we want to offer as an API for the tool users should go to
      `notebooks/api` folder.
2.  `nbdev_prepare` \# to export notebooks into python library, and
    clean notebooks
3.  If any new files were added: `git add *`
4.  `git commit -m "commit message"`
5.  `git push`
